Skip to main content
`Ctrl`+`K`
scipy.stats.qmc.PoissonDisk.

# random

PoissonDisk.random(n=1, *, workers=1)

  Draw n in the half-open interval `[0, 1)`.

  Parameters:
    n int, optional

      Number of samples to generate in the parameter space. Default is 1.

    workers int, optional

      Only supported with `Halton`. Number of workers to use for parallel processing. If -1 is given all CPU threads are used. Default is 1. It becomes faster than one worker for n greater than \(10^3\).

  Returns:
    sample array_like (n, d)

      QMC sample.